# ===================================================================
# Spring Boot configuration.
#
# This configuration will be overriden by the Spring profile you use,
# for example application-dev.yml if you use the "dev" profile.
# ===================================================================

# ===================================================================
# Standard Spring Boot properties.
# Full reference is available at:
# http://docs.spring.io/spring-boot/docs/current/reference/html/common-application-properties.html
# ==================================================================
server:
  max-http-header-size: 3145728
  servlet:
    session:
      cookie:
        http-only: true
  tomcat:
    max-threads: 2500
    accept-count: 500
    min-spare-threads: 500
    max-connections: 3500
    uri-encoding: UTF-8
spring:
  jackson:
    property-naming-strategy: SNAKE_CASE
    serialization:
      write_dates_as_timestamps: false
      indent_output: true
  datasource:
    hikari:
      minimum-idle: 1
      maximum-pool-size: 3
      data-source-properties:
        cachePrepStmts: true
        prepStmtCacheSize: 250
        prepStmtCacheSqlLimit: 2048
        useServerPrepStmts: true
  jpa:
    show-sql: true
    hibernate:
      ddl-auto: none
    properties:
      hibernate.cache.use_query_cache: false
      hibernate.cache.use_second_level_cache: false
      hibernate.cache.generate_statistics: false
  dubbo:
    scan: cn.quant.baa.pay.dubbo
  thymeleaf:
    cache: false
    mode: HTML5
    prefix: classpath:/templates/
    suffix: .html
    encoding: UTF-8
    servlet:
      content-type: text/html
  resources:
    add-mappings: true
    static-locations: classpath:/static/
  favicon:
    enabled: false
  mvc:
    throw-exception-if-no-handler-found: true
    view:
      prefix: classpath:/view/
      suffix: .jsp
    static-path-pattern: /**
  messages:
    basename: messages, i18n/messages, cn.quant.spring/messages
    fallback-to-system-locale: true
    encoding: UTF-8